Jump Upgrading to TAS for VMs v2.11

Page last updated:

Warning: Pivotal Application Service (PAS) v2.8 is no longer supported because it has reached the End of General Support (EOGS) phase as defined by the Support Lifecycle Policy. To stay up to date with the latest software and security updates, upgrade to a supported version.

Note: Pivotal Platform is now part of VMware Tanzu. In v2.9 and later, Pivotal Application Service is renamed to VMware Tanzu Application Service for VMs.

This topic describes upgrading to VMware Tanzu Application Service for VMs (TAS for VMs) v2.11 directly from Pivotal Application Service (PAS) v2.7 and later.

Overview

Jump upgrading describes the process of skipping minor versions when upgrading PAS. Jump upgrading enables you to upgrade directly to the long-term support (LTS) version of TAS for VMs, which is v2.11. TAS for VMs v2.11 is supported through April 2024.

Prerequisites

Before you jump upgrade to TAS for VMs v2.11:

  1. Verify that the products you have installed are compatible with TAS for VMs v2.11. To create an upgrade path for your product tiles, see the Upgrade Planner.

  2. Upgrade Ops Manager to v2.10 LTS. For more information, see Ops Manager v2.10 Release Notes.

  3. Install the Cloud Foundry Command Line Interface (cf CLI). For more information, see Upgrading to cf CLI v7.

Jump Upgrade

After your deployment meets the requirements described in Prerequisites above, you can upgrade to TAS for VMs v2.11.0 or later.

To jump upgrade to TAS for VMs to v2.11.0 or later:

  1. Review the breaking changes for each version of PAS included in the jump upgrade. For example, if you are upgrading from PAS v2.7 to TAS for VMs v2.11, read all of the following breaking changes:

  2. Review Configuring PAS for Upgrades.

  3. (Optional) Review release notes for each version of PAS included in the jump upgrade: